Bug 239199 - (perl-Archive-Any) Review Request: perl-Archive-Any - Single interface to deal with file archives
Review Request: perl-Archive-Any - Single interface to deal with file archives
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
http://search.cpan.org/dist/Archive-Any/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-05 18:54 EDT by Chris Weyl
Modified: 2012-03-24 15:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 17:30:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-05 18:54:32 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Archive-Any-0.093-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Archive-Any.spec

Description:
This module is a single interface for manipulating different archive
formats. Tarballs, zip files, etc.
Comment 1 Bernard Johnson 2007-05-08 02:30:47 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Rpmlint output: None
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : ba6bf97e81669e7e371e35ffa11f83cb
     MD5SUM upstream package: ba6bf97e81669e7e371e35ffa11f83cb
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.


=== Issues ===
1. Please clean up all that commented out cruft post-import.

=== Final Notes ===
1.


================
*** APPROVED ***
================
Comment 2 Chris Weyl 2007-05-08 02:45:57 EDT
New Package CVS Request
=======================
Package Name: perl-Archive-Any
Short Description: Single interface to deal with file archives
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Chris Weyl 2007-05-09 17:30:33 EDT
Imported and building.  Thanks for the review! :)
Comment 4 Mark Chappell 2010-06-24 07:49:29 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=191622 - cweyl implied he's not
interested in EPEL, and at the last EPEL meeting Smooge suggested I should just
put the requests through.

Package Change Request
======================
Package Name: perl-Archive-Any
New Branches: EL-6
Owners: tremble
Comment 5 Jason Tibbitts 2010-06-25 14:29:32 EDT
CVS done.
Comment 6 Paul Howarth 2012-03-05 08:51:27 EST
Package Change Request
======================
Package Name: perl-Archive-Any
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 7 Jens Petersen 2012-03-06 02:05:54 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-03-06 04:57:57 EST
perl-Archive-Any-0.0932-9.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Archive-Any-0.0932-9.el5
Comment 9 Fedora Update System 2012-03-24 15:03:38 EDT
perl-Archive-Any-0.0932-9.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.